USE ANSHU
GO
TRUNCATE TABLE [DBO].[USERATTENDENCE]
GO
TRUNCATE TABLE [DBO].[USERBANKDETAILS]

GO
TRUNCATE TABLE [DBO].[USERLOAN]
GO
TRUNCATE TABLE [DBO].[USERPROJECT]
GO
TRUNCATE TABLE [DBO].[USERROLE]
GO
TRUNCATE TABLE [DBO].[USERSALARY]
GO
TRUNCATE TABLE [DBO].[USERTOKEN]
GO
TRUNCATE TABLE [DBO].[UserPartialSalary]
GO
 
DELETE FROM MA_LOAN
GO
DELETE FROM [DBO].[MA_PROJECT]
GO
DELETE FROM [DBO].[MA_BANK]
GO
DELETE FROM  MA_USER
GO
DBCC CHECKIDENT ('MA_LOAN', RESEED, 0)
GO
DBCC CHECKIDENT ('MA_PROJECT', RESEED, 0)
GO
DBCC CHECKIDENT ('MA_BANK', RESEED, 0)
GO
DBCC CHECKIDENT ('MA_USER', RESEED, 0)
GO
DBCC CHECKIDENT ('UserPartialSalary', RESEED, 0)
GO
--DROP TABLE EXPORT

select * from ma_user


/****** SCRIPT FOR SELECTTOPNROWS COMMAND FROM SSMS  ******/
--DROP TABLE [ANSHU].[DBO].[EXPORT]
GO
SELECT * FROM [ANSHU].[DBO].[EXPORT]
GO

  SELECT * FROM UserBankDetails WHERE Is_Active=1
   
 ------MA_USER-------
-- INSERT INTO MA_USER(
--Name
--,Username
--,Password
--,IsActive
--,Designation
--,Email
--,Phone
--,Annual_Basic_Salary
--,Annual_Special_Allowance
--,Annual_PF_Amount
--,Annual_ESIC
--,PAN
--,Aadhar
--,UAN_No
--,PF_No
--,ProfileImage
--,LeaveAllocated
--,BeneId
--,Remaining_Leave
--)
--SELECT 
--Name
--,CASE WHEN EMAIL IS NULL THEN CONCAT(REPLACE(NEWID(),'-',''),'@GMAIL.COM') ELSE EMAIL END AS USERNAME
--,'00000' AS PASSWORD
--,1 AS ISACTIVE
--,Designation
--,CASE WHEN EMAIL IS NULL THEN CONCAT(REPLACE(NEWID(),'-',''),'@GMAIL.COM') ELSE EMAIL END AS EMAIL
--,CASE WHEN Phone IS NULL THEN '9999999999' ELSE Phone END AS CONTACT
--,Annual_Basic_Salary
--,Annual_Special_Allowance
--,Annual_PF_Amount
--,Annual_ESIC
--,PAN
--,Aadhar
--,UAN_No
--,PF_No
--,'noImg.png' AS ProfileImage
--,30 as LeaveAllocated
--,REPLACE(NEWID(),'-','') as BeneId
--,30 as Remaining_Leave
--FROM EXPORT

--INSERT INTO MA_USER([NAME],EMAIL,USERNAME,PASSWORD, ISACTIVE,LEAVEALLOCATED,BENEID,REMAINING_LEAVE)
--SELECT 'VISHAL KUMAR','VISHAL.KUMAR061@GMAIL.COM','VISHAL.KUMAR061@GMAIL.COM','12345',1,30,REPLACE(NEWID(),'-',''),30
--SELECT @@IDENTITY

--INSERT INTO MA_USER([NAME],EMAIL,USERNAME,PASSWORD, ISACTIVE,LEAVEALLOCATED,BENEID,REMAINING_LEAVE)
--SELECT 'SOUMYA','BRKS.SOUMYA903@GMAIL.COM','BRKS.SOUMYA903@GMAIL.COM','2011',1,30,REPLACE(NEWID(),'-',''),30
--SELECT @@IDENTITY
   
---------USERROLE----------
--INSERT INTO USERROLE(USERID,ROLEID)
--SELECT ID,2 FROM MA_USER 

--INSERT INTO USERROLE(USERID,ROLEID)
--SELECT 103,1 

--BANK
--INSERT INTO MA_BANK(BANKNAME)
--SELECT DISTINCT UPPER(bank) FROM EXPORT WHERE bank IS NOT NULL and bank not in ('na')
 

-----USERBANKDETAILS

--select a.id,b.Id from MA_User a join export b on a.Name=b.Name and a.Designation=b.Designation
 --update export set id=a.id from MA_User a join export b on a.Name=b.Name and a.Designation=b.Designation

--ALTER TABLE EXPORT ADD BANK_ID INT
--UPDATE EXPORT SET BANK_ID= A.ID FROM MA_BANK A JOIN EXPORT B ON A.BANKNAME=B.bank
--SELECT * FROM EXPORT WHERE BANK_ID IS NULL

--INSERT INTO USERBANKDETAILS(USERID,ACCOUNT_NUMBER,IFSC,BANKID,IS_ACTIVE)
--SELECT Id,A_C,ifsc,BANK_ID,0 from export where BANK_ID is not null

---PROJECT
--INSERT INTO MA_PROJECT(PROJECTNAME,ISACTIVE)
--SELECT DISTINCT UPPER(PROJECT),1 FROM EXPORT
  
-------------USERPROJECT
--ALTER TABLE EXPORT ADD PROJECT_ID INT
--UPDATE EXPORT SET PROJECT_ID=A.ID FROM MA_PROJECT A JOIN EXPORT B ON A.PROJECTNAME=B.PROJECT
--SELECT * FROM EXPORT WHERE PROJECT_ID IS NULL

--INSERT INTO USERPROJECT(USERID,PROJECTID)
--SELECT ID,PROJECT_ID FROM EXPORT  

 